Subject: bug#25721: 26.0.50; Stuck `compile' when Gnus runs concurrently

From: Marco Wahl <[email-masked]>
Date: Tue, 14 Feb 2017 19:21:55 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Date: Tue, 14 Feb 2017 11:02:14 +0100
>> 
>> 
>> 
>> ACTIONS:
>> 
>> 1.
>> 
>> M-; (make-thread #'gnus)
>> 
>> 2.
>> 
>> Goto a directory with something to compile with the command 'make'.
>> 
>> 3.
>> 
>> M-x compile make
>> 
>> 
>> OBSERVATION:
>> 
>> The buffer *compile* does not display the progress of the compilation.
>> It looks like beeing 'stuck'.
>> 
>> WANT:
>> 
>> The buffer *compile*  displays the progress of the compilation.
>> 
>
> If Gnus keeps the other thread busy, then Emacs will never become
> idle, in which case this is normal, because Emacs only reads output
> from subprocesses when it's idle.

Okay.  Thanks for your explanation and time.

Sidenote: I have the impression that sometimes the compile runs through
(with all the output in the *compile* buffer all of a sudden) and
sometimes the compile really gets stuck.  If I can formulate a
reproducible recipe I will file a fresh report.

Best regards, Marco